Subject: Re: [PATCH v3 0/2] patch-id for merges

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Sep 2016 14:01:14 -0700

Jeff King <[email-masked]> writes:

> And here is v3. Besides commit-message fixups, it drops patch 2, and
> instead the third patch teaches commit_patch_id() to distinguish between
> errors and "no patch id".
>
> Frankly, I still like v2 better, but I do not feel like arguing with
> Johannes about it anymore.

FWIW, I too like the simplicity of v2, as all the error-to-die
conversion is for cases in which there is no sane recovery path.

I'll have to take a bit deeper look at [v3 2/2] that had to become
more involved to decide if the additional flexibility is really
worth it.

Thanks.